{% extends "base.html" %}
{% load poly_custom_extra %}


{% block content %}
    <h2>People</h2>
    <div>
        {% for book in object_list %}
        <div>
            <h2><a href="{{ book.get_absolute_url }}">{{ book.name }}</a></h2>

            <h3>Grouped editions</h3>
            <ul>
                {% regroup book.editions.all by polymorphic_ctype_id as editionlist %}
                {% for edition in editionlist %}
                <li>
                    {{ edition.list.0.get_real_instance_class | to_verbose_class_name | title }}:
                    <ul>
                        {% for isntance in edition.list %}
                          <li>{{ isntance }}</li>
                        {% endfor %}
                    </ul>
                </li>
                {% endfor %}
            </ul>

            <h3>Editions</h3>
            <ul>
                {% for edition in book.editions.all %}
                    <li>{{ edition.name }}</li>
                {% endfor %}
            </ul>

            <h3>Grouped contributors</h3>
            <ul>
                {% regroup book.contributors.all by contributor.polymorphic_ctype_id as contributorlist %}
                {% for contributor_link in contributorlist %}
                <li>
                    {{ contributor_link.list.0.contributor.get_real_instance_class | to_verbose_class_name_plural | title }}:
                    <ul>
                        {% for isntance in contributor_link.list %}
                          <li>{{ isntance.contributor }}</li>
                        {% endfor %}
                    </ul>
                </li>
                {% endfor %}
            </ul>

            <h3>Contributors</h3>
            <ul>
                {% for contributor_link in book.contributors.all %}
                    <li>{{ contributor_link.contributor }} - {{ contributor_link.contributor.get_real_instance_class | to_verbose_class_name | title }}</li>
                {% endfor %}
            </ul>
        </div>
        {% endfor %}
    </div>
{% endblock %}